Function
position
Position of an iterator.
Position position(iterator [, container])
Include Headers
seqan/basic.h
Parameters

iterator | An iterator. Types: Iterator: BottomUp Iterator, Iter, ModifiedIterator, TopDownHistory Iterator Finder, Pattern
container | A container. Types: Container: ModifiedString, String Remarks: If iterator implements Rooted Iterator, then container is optional. If container is specified, iterator must be a container of container.

Return Values
The position of the value in the container iterator points to.
Metafunctions: Position
Example Programs
Rooted Iterators
Part of Concept
Pattern, Rooted Iterator
See Also
setPosition
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:48